# draugr.opencv_utilities.windows.elements.trackbar.add_trackbar

draugr.opencv_utilities.windows.elements.trackbar.add_trackbar(window_name: str, trackbar_name: str, default: ~typing.Optional[int] = None, *, min_val: int = 0, max_val: int = 255, callback: callable = <function sink>) → None

  Adds a trackbar to a window. :param default: :type default: :param min_val: :type min_val: :param max_val: :type max_val: :param window_name: Name of the window to add the trackbar to. :param trackbar_name: Name of the trackbar. :param callback: Callback function to be called when the trackbar is moved. :return: None